Bug 1839875 - CVE-2020-13164 wireshark: NFS dissector crash (wnpa-sec-2020-08) [fedora-all]
Summary: CVE-2020-13164 wireshark: NFS dissector crash (wnpa-sec-2020-08) [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Ruprich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-13164
TreeView+ depends on / blocked
 
Reported: 2020-05-25 19:44 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-05-31 03:57 UTC (History)
9 users (show)

Fixed In Version: wireshark-3.2.4-1.fc32 wireshark-3.2.4-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-30 01:54:16 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-05-25 19:44:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-05-25 19:45:01 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1839874,1839875

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Zdenek Dohnal 2020-05-26 05:18:30 UTC
Hi Guilherme,

Michal is on PTO since today and I'm his backup.

Michal already created updates for wireshark 3.2.4 on >=f31 branches, which fix the CVE:

https://bodhi.fedoraproject.org/updates/FEDORA-2020-4f5588cf97
https://bodhi.fedoraproject.org/updates/FEDORA-2020-ca3d3f15f0
https://bodhi.fedoraproject.org/updates/FEDORA-2020-5396d97482

but since I'm not their owner I cannot attach the CVE to them.

I see Fedora 30 EOL was moved by a week or two, so I'll create an update for it.

Comment 3 Zdenek Dohnal 2020-05-26 05:29:42 UTC
Hmm, I'm not able to push the update since I'm not wireshark maintainer/proven packager. I'll try to find one to create the update.

Comment 4 Fedora Update System 2020-05-26 08:44:18 UTC
FEDORA-2020-ca3d3f15f0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ca3d3f15f0

Comment 5 Fedora Update System 2020-05-26 08:44:30 UTC
FEDORA-2020-4f5588cf97 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4f5588cf97

Comment 6 Zdenek Dohnal 2020-05-26 10:13:05 UTC
F30 EOL is today according Fedora bugbot https://bugzilla.redhat.com/show_bug.cgi?id=1703774#c3 but the product pages say 2020-6-03. I will not push the F30 update in case the earlier date is correct.

CVE will be solved in >=F31, thozza as proven packager added CVE bug to existing updates.

Comment 7 Fedora Update System 2020-05-30 01:54:16 UTC
FEDORA-2020-4f5588cf97 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-05-31 03:57:04 UTC
FEDORA-2020-ca3d3f15f0 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.